/*
 * Funambol is a mobile platform developed by Funambol, Inc. 
 * Copyright (C) 2003 - 2007 Funambol, Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by
 * the Free Software Foundation with the addition of the following permission 
 * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
 * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE 
 * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License 
 * along with this program; if not, see http://www.gnu.org/licenses or write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA.
 * 
 * You can contact Funambol, Inc. headquarters at 643 Bair Island Road, Suite 
 * 305, Redwood City, CA 94063, USA, or at email address info@funambol.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU Affero General Public License
 * version 3, these Appropriate Legal Notices must retain the display of the
 * "Powered by Funambol" logo. If the display of the logo is not reasonably 
 * feasible for technical reasons, the Appropriate Legal Notices must display
 * the words "Powered by Funambol".
 */
package com.funambol.syncclient.javagui;

import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Frame;
import java.awt.GridLayout;
import java.awt.Label;
import java.awt.Panel;
import java.awt.Toolkit;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

/**
 * The new contact insertion panel.
 *
 * @version $Id: CheckContactFields.java,v 1.10 2007/11/28 10:14:04 nichele Exp $
 */

public class CheckContactFields
extends Frame
implements ActionListener, WindowListener, ConfigurationParameters {

    // ------------------------------------------------------------ Private data

    /**
     * The window containing this panel
     */
    private MainWindow  mw   = null;

    private ContactForm form = null;
    private Label       lb1  = null;
    private Label       lb2  = null;
    private Label       lb3  = null;

    private Language    ln   = new Language() ;

    // ---------------------------------------------------------- Public methods

    public CheckContactFields(MainWindow mw, ContactForm form) {

        super();
        setTitle(ln.getString("check_contact_fields"));

        Button butOk     = null;
        Panel  textPanel = null;

        setIconImage(Toolkit.getDefaultToolkit().getImage(FRAME_ICONNAME));

        this.mw   = mw  ;
        this.form = form;

        setSize(300, 150);
        setLocation(400, 200);
        setLayout(new BorderLayout());

        lb1 = new Label("", Label.CENTER);
        lb2 = new Label("", Label.CENTER);
        lb3 = new Label("", Label.CENTER);

        butOk = new Button(ln.getString("ok"));
        butOk.setActionCommand("ok");

        butOk.addActionListener(this);

        textPanel = new Panel();
        textPanel.setLayout(new GridLayout(3, 1));
        textPanel.add(lb1);
        textPanel.add(lb2);
        textPanel.add(lb3);

        add(textPanel, BorderLayout.CENTER);
        add(butOk    , BorderLayout.SOUTH );

        addWindowListener(this);
    }

    public boolean areFieldsRight() {

        String birthdayDate = null;

        birthdayDate = form.getBirthdayDate();

        if (!FieldsHelper.checkDate(birthdayDate, FieldsHelper.DATE_FORMAT)) {
           lb1.setText(ln.getString ("please_insert_a_valid_birthday_date"));
           return false;
        }

        return true;
    }

    public void actionPerformed(ActionEvent evt) {

        if (evt.getActionCommand().equals("ok")) {
               mw.setEnabled(true);
               setVisible(false);
        }
    }

    public void windowClosing(WindowEvent evt) {
        mw.setEnabled(true);
        setVisible(false);
    }

    public void windowActivated  (WindowEvent e) {}

    public void windowClosed     (WindowEvent e) {}

    public void windowDeactivated(WindowEvent e) {}

    public void windowDeiconified(WindowEvent e) {}

    public void windowIconified  (WindowEvent e) {}

    public void windowOpened     (WindowEvent e) {}

}
